Automette docs

Compare

POST
/api/v1/documents/compare

Authorization

ApiKeyAuth
AuthorizationBearer <token>

API key from API Keys in the dashboard menu.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/documents/compare" \  -H "Content-Type: application/json" \  -d '{    "sides": [      {        "name": "Invoice",        "data": {          "total": 1250        }      },      {        "name": "PO",        "data": {          "total": 1200        }      }    ]  }'
{  "status": "string",  "fields": [    {}  ],  "lines": [    {}  ],  "summary": "string",  "credits_used": 0}